## org.apache.hadoop.streaming
Class PipeCombiner

    java.lang.Object
      org.apache.hadoop.streaming.PipeMapRed
          org.apache.hadoop.streaming.PipeReducer
              org.apache.hadoop.streaming.PipeCombiner

All Implemented Interfaces:
  Closeable, JobConfigurable, Reducer

    public class PipeCombiner

extends PipeReducer

Field Summary

Fields inherited from class org.apache.hadoop.streaming.PipeMapRed
`LOG, outerrThreadsThrowable`

Constructor Summary
`PipeCombiner()`

Method Summary

Methods inherited from class org.apache.hadoop.streaming.PipeReducer
`close, configure, getFieldSeparator, getInputSeparator, getNumOfKeyFields, reduce`

Methods inherited from class org.apache.hadoop.streaming.PipeMapRed
`getClientInput, getClientOutput, getConfiguration, getContext, mapRedFinished`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PipeCombiner

    public PipeCombiner()

Copyright © 2009 The Apache Software Foundation